#include "Messages.h"

namespace Passer {
namespace Control {

class ModelUrlMsg : public IMessage {
public:
  static const unsigned char id = 0x90;

  unsigned char networkId;
  unsigned char thingId;

  float scale;
  unsigned char urlLength;
  const char *url;

  ModelUrlMsg(const char *buffer);
  ModelUrlMsg(unsigned char networkId, Thing *thing);
  //   ModelUrlMsg(unsigned char networkId, unsigned char thingId,
  //               unsigned char urlLegth, const char *url, float scale = 1);

  virtual unsigned char Serialize(char *buffer) override;
};

} // namespace Control
} // namespace Passer