#include "Messages.h"

namespace Passer {
namespace Control {

class NetworkIdMsg : public IMessage {
public:
  static const unsigned char id = 0xA1;
  static const unsigned char length = 2;
  unsigned char networkId;

  NetworkIdMsg(const char *buffer);
  NetworkIdMsg(unsigned char networkId);

  virtual unsigned char Serialize(char *buffer) override;
  // static NetworkIdMsg Receive(char *buffer, unsigned char bufferSize);
};

} // namespace Control
} // namespace Passer
