#include "TemperatureSensor.h"

#include "LowLevelMessages.h"

namespace Passer {
namespace Control {

TemperatureSensor::TemperatureSensor() : Thing(Type::TemperatureSensor) {}

void TemperatureSensor::SetTemperature(float temp) { this->temp = temp; }

void TemperatureSensor::SendBytes(char *buffer, unsigned char *ix) {
  std::cout << "Send temperature: " << this->temp << "\n";
  LowLevelMessages::SendFloat16(buffer, ix, this->temp);
}

} // namespace Control
} // namespace Passer