#pragma once

#include "Thing.h"

namespace Passer {
namespace Control {

class TemperatureSensor : public Thing {
public:
  TemperatureSensor();

  virtual void SetTemperature(float temp);

  void SendBytes(char *buffer, unsigned char *ix) override;

protected:
  float temp = 0;
};

} // namespace Control
} // namespace Passer