#pragma once

#include "Participant.h"

namespace Passer {
namespace Control {

class UdpArduino : public Participant {
public:
  void Setup(int localPort, const char *remoteIpAddress, int remotePort);
  void Receive();
  bool Send(IMessage *msg);
  bool Publish(IMessage *msg);

protected:
  void GetBroadcastAddress();
};

} // namespace Control
} // namespace Passer